Categories:
  - Development
License: GPL-3.0-or-later
WebSite: http://community.kde.org/Necessitas
SourceCode: https://cgit.kde.org/ministro.git/

AutoName: Ministro
Summary: Needed by apps written in Qt
Description: |-
    You do not need to install this unless another app requests it. That may direct
    you towards Google Play, but you can install this instead. There are currently
    no such apps in this repo because they require a different SDK to build. For
    testing purposes, there is a Breakout-style game apk available via
    [http://f-droid.org/forums/topic/xbreakout this] thread.

    Ministro is a system wide Qt shared libraries installer/provider service. It
    acts as a bridge between your apps and Qt libraries.

    The connection API protocol used by applications to connect and query the
    service is released under BSD license, it mean that any application (no matter
    if that application is free or not) can connect and query its services.

    Also, be aware, this service will install/provide the free versions of Qt
    libraries, licensed under LGPL v2.1/ GPL v3.

RepoType: git
Repo: https://anongit.kde.org/ministro.git

Builds:
  - versionName: '6.0'
    versionCode: 6
    commit: n0.3
    subdir: Ministro
    target: android-15
    buildjni:
      - yes

  - versionName: '7.0'
    versionCode: 7
    commit: '7.0'
    subdir: Ministro
    target: android-15
    buildjni:
      - yes

  - versionName: '10.0'
    versionCode: 13
    commit: '10.0'
    subdir: Ministro
    target: android-15
    buildjni:
      - yes

  - versionName: '10.4'
    versionCode: 14
    commit: '10.4'
    subdir: Ministro
    target: android-15
    buildjni:
      - yes

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '10.4'
CurrentVersionCode: 14
